Documentation Index

Fetch the complete documentation index at: https://developers.torq.io/llms.txt

Use this file to discover all available pages before exploring further.

List alert history

Prev Next
Get
/v1/triage/alerts/{alert_id}/history

Returns a paginated, reverse-chronological list of history events for an alert.

Security
HTTP
Type bearer
Path parameters
alert_id
stringRequired

The ID of the alert to retrieve history for. This property is required.

Query parameters
page_size
integer (int32)

The maximum number of history events to retrieve per page. Default is 50. Maximum is 100. If the number of results exceeds the defined page size, use pagination to retrieve the next page by making an identical List alert history request and providing the page token from the previous response.

page_token
string

The token received from a previous List alert history response. Provide this to retrieve the next page of results.

Responses
200

A successful response.

Expand All
object
events
Array of object (torq.public.triage.v1.HistoryEvent)

The history events in reverse-chronological order.

object

A single event in an alert's history. Exactly one details field is set, identifying the event type.

id
string

The unique identifier of the history event.

alert_id
string

The identifier of the alert this event belongs to.

timestamp
string (date-time)

The timestamp when the event occurred.

actor
object (torq.actor.v1.Actor)

The entity that performed the action.

kind
string

The actor kind. Identifies which actor case is populated. One of: USER, WORKFLOW, INTEGRATION, SERVICE_API_KEY, SOCRATES, TRIAGE, AGENT, BUILDER.

user
object (torq.actor.v1.Actor.User)

User identity information.

email
string

The actor's email address.

full_name
string

The user's full name.

workflow
object (torq.actor.v1.Actor.Workflow)

Workflow execution details.

id
string

The workflow ID.

execution_id
string

The workflow execution ID.

name
string

The workflow name.

integration
object (torq.actor.v1.Actor.Integration)

Integration configuration.

id
string

The integration ID.

type_id
string

The integration type identifier.

service_api_key
object (torq.actor.v1.Actor.ServiceApiKey)

Service account API token information.

name
string

The service account API token name.

client_id
string

The service account API token client ID.

socrates
object (torq.actor.v1.Actor.Socrates)

Original actor information.

original_actor
object (torq.actor.v1.Actor) Recursive

The entity that performed the action.

triage
object (torq.actor.v1.Actor.Triage)

Triage system action.

agent
object (torq.actor.v1.Actor.Agent)

Agent execution details.

id
string

The agent ID.

execution_id
string

The agent execution ID.

builder
object (torq.actor.v1.Actor.Builder)

Workflow Builder acting on behalf of a user.

original_actor
object (torq.actor.v1.Actor) Recursive

The entity that performed the action.

type
string

The event type, which identifies which details field is populated. One of: "alert_created", "enrichment_completed", "triage_completed", "verdict_set", "verdict_confirmed", "verdict_changed", "severity_changed", "verdict_review_undone", "case_created", "case_closed", "case_deleted".

alert_created
object (torq.public.triage.v1.AlertCreatedDetails)

Details of an alert_created event.

enrichment_completed
object (torq.public.triage.v1.EnrichmentCompletedDetails)

Details of an enrichment_completed event.

enrichment_name
string

The enrichment label. For example, "Threat Intelligence", "MITRE ATT&CK", "Case History", "Organizational Context".

triage_completed
object (torq.public.triage.v1.TriageCompletedDetails)

Details of a triage_completed event.

verdict_set
object (torq.public.triage.v1.VerdictSetDetails)

Details of a verdict_set event.

verdict
string

The verdict value assigned by Auto Triage.

verdict_confirmed
object (torq.public.triage.v1.VerdictConfirmedDetails)

Details of a verdict_confirmed event.

verdict
string

The confirmed verdict.

comment
string

The analyst comment provided with the confirmation.

verdict_changed
object (torq.public.triage.v1.VerdictChangedDetails)

Details of a verdict_changed event.

previous_verdict
string

The verdict before the change.

new_verdict
string

The verdict after the change.

comment
string

The analyst comment provided with the change.

severity_changed
object (torq.public.triage.v1.SeverityChangedDetails)

Details of a severity_changed event.

previous_severity
string

The severity before the change.

new_severity
string

The severity after the change.

comment
string

The analyst comment provided with the change.

verdict_review_undone
object (torq.public.triage.v1.VerdictReviewUndoneDetails)

Details of a verdict_review_undone event.

previous_verdict
string

The verdict that was in effect before the review was undone.

restored_verdict
string

The Auto Triage verdict restored after the review was undone.

case_created
object (torq.public.triage.v1.CaseCreatedDetails)

Details of a case_created event.

case_id
integer (int32)

The case identifier as displayed on the Cases page.

case_closed
object (torq.public.triage.v1.CaseClosedDetails)

Details of a case_closed event.

case_id
integer (int32)

The case identifier as displayed on the Cases page.

resolution_reason
string

The reason the case was closed.

case_deleted
object (torq.public.triage.v1.CaseDeletedDetails)

Details of a case_deleted event.

case_id
integer (int32)

The case identifier as displayed on the Cases page.

next_page_token
string

When a token is returned, it indicates there is another page of results to retrieve. Pass this token as the page_token parameter in a subsequent List alert history request. If this field is empty, there are no additional pages to retrieve.

401

Invalid bearer token. If you receive this message more than once try creating a new Client ID/Client Secret or generating a new bearer token.

object
403

You don't have permission to access this resource.

object